/* ========================================
 * A set of basic functions to preform
 * tests for poisson distributions
 * ========================================
 */

#ifndef __Poisson_h__
#define __Poisson_h__

#include <stdio.h>
#include <math.h>

extern double epsilonValues[17][2];
extern double whichEpsilonValue(double aRisk);
extern double fact(double k);
extern double Poisson(double aLambdaVal, double k);
extern double PoissonProba(double aLambdaVal, double aValue);
extern int PoissonTest(double aLambdaVal, double aRisk, double aValue);
extern void PoissonBracket(double aLambdaVal, double aRisk, double aValue, double *aMin, double *aMax);
#endif
