/*
 * CS-PSeq-Gen addons by
 * P. Tuffery (1997-2000)
 * INSERM U436, Paris, France
 *
 */

#ifndef __RATESTYPES_H__
#define __RATESTYPES_H__

/* ===========================================================
 * This structure to pass parameters related to 
 * heterogeneity of mutation rates (categories)
 * ===========================================================
 */
typedef struct sratesrec {
  int    doEquil;     /* Do we "equilibrate" rates ?       */
  double *rates;
  double *refrates;
  double *obsrates;
  double *currates;
} DtRatesRec;

#endif /* __RATESTYPES_H__ */




